/*
/// Typography
*/

/* Our variables
//-------------------------------------
*/

:root {

  --base-font-name:          "Nunito",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
  --title-font-name:         var(--base-font-name);
  --base-font-family:        var(--base-font-name);
  --title-font-family:       var(--title-font-name);

  --ratio:                   1.25;
  --base:                    1;
  --base-em:                 calc(var(--base) * 1em);

  --ms0:                     1;
  --ms1:                     var(--ratio);        /* 1.2   */
  --ms2:                     calc(var(--ratio) * var(--ms1)); /* 1.44  */
  --ms3:                     calc(var(--ratio) * var(--ms2)); /* 1.728 */
  --ms4:                     calc(var(--ratio) * var(--ms3)); /* 2.074 */
  --ms5:                     calc(var(--ratio) * var(--ms4)); /* 2.488 */
  --ms6:                     calc(var(--ratio) * var(--ms5)); /* 2.986 */
  --ms7:                     calc(var(--ratio) * var(--ms6)); /* 3.583 */

  --smaller:                 calc(var(--base-em) / var(--ms1));
  --normal:                  calc(var(--base-em) * var(--ms0));
  --bigger:                  calc(var(--base-em) * var(--ms1));
  --title3:                  calc(var(--base-em) * var(--ms2));
  --title2:                  calc(var(--base-em) * var(--ms3));
  --title1:                  calc(var(--base-em) * var(--ms4));

  --line-height-base:        calc(var(--base) * var(--ms2));
  --baseline:               var(--base-em);
}

body {
  font-family: var(--base-font-family);
  font-size: calc(var(--base-em) * var(--ms0));
  line-height: calc(var(--base) * var(--ms3));
  //font-size: calc(4vw + 4vh + 2vmin)
}

h3,
h2 { line-height: calc(var(--base) * var(--ms1)); }
h1 { line-height: calc(var(--base) * var(--ms0)); }

h6, .h6 { font-size: var(--smaller); }
h5, .h5 { font-size: var(--normal); }
h4, .h4 { font-size: var(--bigger); }
h3, .h3 { font-size: var(--title3); }
h2, .h2 { font-size: var(--title2); }
h1, .h1 { font-size: var(--title1); }


h1, .h1,
h2, .h2,
h3, .h3,
label, legend {
  font-family: var(--title-font-family);
}

h1, .h1,
h2, .h2,
h3, .h3 {
  word-wrap: break-word;
  margin-top: var(--baseline);
  margin-bottom: var(--baseline);

  small,
  .small {
    font-size: 65%;
  }
}

h4, .h4,
h5, .h5,
h6, .h6 {
  margin-top: var(--baseline);
  margin-bottom: var(--baseline);

  small,
  .small {
    font-size: 75%;
  }
}

h1,h2,h3,h4,h5,h6 {
  color: currentColor;
}

h1,h2,h3,h4,h5,h6,h1 a,h2 a,h3 a,h4 a,h5 a,h6 a,h1 a:visited,h2 a:visited,h3 a:visited,h4 a:visited,h5 a:visited,h6 a:visited {
  color: currentColor;
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}

p {
  margin: 0 0 var(--baseline);
}
